%global momorel 3

Summary: plugins and utilities for encryption in GNOME
Name: seahorse-plugins
Version: 2.30.1
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://www.gnome.org/projects/seahorse/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.30/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: seahorse-plugins-2.29.90-gecko.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: GConf2
BuildRequires: libglade2-devel >= 2.6.4
BuildRequires: GConf2-devel >= 2.26.0
BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: glib2-devel >= 2.20.0
BuildRequires: nautilus-devel >= 2.26.0
BuildRequires: gnome-vfs2-devel >= 2.24.1
BuildRequires: gnome-keyring-devel >= 2.26.0
BuildRequires: dbus-glib-devel >= 0.80
BuildRequires: seahorse-devel >= 2.29.91
BuildRequires: libxml2-devel >= 2.7.3
BuildRequires: epiphany-devel >= 2.26.0
BuildRequires: gedit-devel >= 2.26.0
BuildRequires: gnome-panel >= devel-2.26.0
BuildRequires: libnotify-devel >= 0.4.5
BuildRequires: evolution-data-server-devel >= 2.26.0
BuildRequires: gpgme-devel >= 1.2.0
Requires: GConf2
Requires(pre): hicolor-icon-theme gtk2

%description
seahorse-plugins: plugins and utilities for encryption in GNOME

%prep
%setup -q
%patch0 -p1 -b .gecko

%build
# for patch0
autoreconf -vfi
export CFLAGS="%{optflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I%{_includedir}/xulrunner-sdk-1.9.2"
%configure \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --disable-update-mime-database \
    --disable-static
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
rarian-sk-update
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null
gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/seahorse-gedit.schemas \
    %{_sysconfdir}/gconf/schemas/seahorse-plugins.schemas \
    > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/seahorse-gedit.schemas \
	%{_sysconfdir}/gconf/schemas/seahorse-plugins.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/seahorse-gedit.schemas \
	%{_sysconfdir}/gconf/schemas/seahorse-plugins.schemas \
	> /dev/null || :
fi

%postun
/sbin/ldconfig
rarian-sk-update
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING-DOCS ChangeLog README THANKS
%{_sysconfdir}/gconf/schemas/seahorse-gedit.schemas
%{_sysconfdir}/gconf/schemas/seahorse-plugins.schemas
%{_bindir}/*
%{_libdir}/bonobo/servers/GNOME_SeahorseApplet.server
%{_libdir}/gedit-2/plugins/libseahorse-pgp.so
%{_libdir}/gedit-2/plugins/libseahorse-pgp.la
%{_libdir}/gedit-2/plugins/seahorse-pgp.gedit-plugin
%{_libdir}/nautilus/extensions-2.0/libnautilus-seahorse.so
%{_libdir}/nautilus/extensions-2.0/libnautilus-seahorse.la
%{_libdir}/seahorse/seahorse-applet
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-2.0/ui/GNOME_SeahorseApplet.xml
%{_datadir}/gnome/help/seahorse-plugins
%{_datadir}/gnome/help/seahorse-applet
%{_datadir}/omf/seahorse-plugins
%{_datadir}/omf/seahorse-applet
%{_datadir}/mime/packages/seahorse.xml
%{_datadir}/pixmaps/*
%{_mandir}/man1/*.1.*
%{_datadir}/icons/hicolor/*/*/*

# epiphany
#%%{_libdir}/epiphany/2.2?/extensions/libseahorseextension.so
#%%{_libdir}/epiphany/2.2?/extensions/libseahorseextension.la
#%%{_libdir}/epiphany/2.2?/extensions/seahorse.ephy-extension


%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.1-3m)
- full rebuild for mo7 release

* Tue May 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-2m)
- add Requires(pre): hicolor-icon-theme gtk2
- use gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

* Thu Apr 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1-1m)
- update to 2.30.1

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.0-1m)
- update to 2.30.0

* Sat Feb 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.91-1m)
- update to 2.29.91

* Sun Feb 14 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.90-2m)
- modify patch0

* Sun Feb 14 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.29.90-1m)
- update to 2.29.90

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.28.1-3m)
- delete __libtoolize hack

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Oct 19 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.1-1m)
- update to 2.28.1

* Sat Sep 26 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- update to 2.28.0
-- disable-epiphany-plugins

* Wed Sep 23 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.26.2-2m)
- rebuild against gpgme-1.2.0
-- gpgme needs largefile support

* Sat May 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-1m)
- update to 2.26.2

* Wed Apr 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Fri Mar  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92

* Sun Mar  1 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-3m)
- enable epiphany-extension(again)
- modify patch0

* Sat Feb 14 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-2m)
- enable epiphany-extension
- add patch0

* Mon Feb  9 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- update to 2.25.90
-- --disable-epiphany

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.1-2m)
- rebuild against rpm-4.6

* Mon Oct 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Fri Oct  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- initial-build
